Skip to content

List Access Tokens

GET
/api/v1/container_registry/token/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/token/?project_name=<PROJECT_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

project_name
required
integer

Container Registry name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

List of credential tokens fetched successfully.

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
description
string
duration
integer
creation_time
string format: date-time
expires_at
string format: date-time
state
string
Allowed values: enabled disabled
access_list
string
errors
object
key
additional properties
message
string

Example

{
"code": 200,
"data": [
{
"id": 24,
"name": "<token_name>",
"description": "This token will never expire.",
"duration": -1,
"creation_time": "2025-04-29T12:16:28.842000Z",
"expires_at": "1969-12-31T23:59:59Z",
"state": "enabled",
"access_list": [
"pull",
"push"
]
}
],
"errors": {},
"message": "Success"
}